View Issue Details

IDProjectCategoryView StatusLast Update
0000768SOGoWeb Mailpublic2021-05-13 16:20
Reporteralessio Assigned Tofrancis  
PrioritynormalSeverityfeatureReproducibilityalways
Status newResolutionfixed 
Product Versionnightly v2 
Target Version3.0.0 
Summary0000768: Add multiple Identity to Imap Account
Description

Great feature new multi-account feature, i want to use it like identity in Thunderbird (with a dummy account)
It works but:

  • i can't choose second sender if i'm on first account folders
  • sent mails are not saved in sent folder

I suggest to add multiple identity associated to account, with only Full Name and Email and signature fields

TagsNo tags attached.

Relationships

has duplicate 0001756 new Add ability to send via arbitrary mail adresses 
has duplicate 0003251 resolvedludovic From field defaults (alias) 
has duplicate 0003216 closedludovic SOGoMailCustomEmail with only one email 

Activities

alessio

alessio

2011-03-11 06:54

reporter   ~0002249

I see this on UI/PReferencesUI/...Localizable.strings

/ Identities /
"Default identity:" = "Identità principale:";
"Manage identities..." = "Gestisci identità...";

What it means?

thierry

thierry

2013-05-14 03:51

reporter   ~0005589

That would be really appreciated! :-)

Is so hard to code? Can I help?

pvdv

pvdv

2013-10-17 12:50

reporter   ~0006114

I really miss this feature.

Many of my customers are using many different e-mail addresses for the different functions they have, but they have all mail in one imap account.

I would like something where the customer can configure the identities of an IMAP account themself. So storing them LDAP is not an good idea.

alessio

alessio

2013-11-06 05:11

reporter   ~0006203

Really miss this feature here too.

davrom

davrom

2013-11-14 00:33

reporter   ~0006227

I have a customer who needs to run as multiple, selectable/switchable user@domainname from addresses based on the company e-mail they represent. They can do this under Thunderbird and the like but can't see if and how to turn this on in SOGo.

They tend to use their single Inbox in Linux which receives all of their "user@*" e-mail so being able to send back from the different domains would be great.

I have implemented:

<key>SOGoMailCustomFromEnabled</key>
<string>YES</string>

and this works great to change the sending e-mail address for some users but given their users handles stuff from multiple domains, this only fixes some user requirements.

djordjije

djordjije

2013-12-11 03:40

reporter   ~0006351

Reply to the message should check email address from "To" field in received message, in order to automatically set correct email address in "From" field using the proper Identity, if email address from "To" field is recognized. Instead of that, email address in "From" field is always set to default email address.

Full Name, Email, Reply To Email and Signature should be configured per Identity, and not as IMAP Accounts parameters.

It would be nice if Vacation can be also be configured per Identity.

alessio

alessio

2014-03-06 06:47

reporter   ~0006650

Really miss this feature, can you help?

abu

abu

2014-08-22 17:17

reporter   ~0007426

I am voting for this feature too...
Many thanks!

alessio

alessio

2015-01-08 09:29

reporter   ~0008022

Uh good to know :-) GUI revamp

infrasysteme

infrasysteme

2015-06-17 09:57

reporter   ~0008651

have this feature would be really appreciated :)

stf

stf

2015-12-06 10:28

reporter   ~0009188

push for this feature reqest.
Is there already a way to have this set up (workaround?)

infrasysteme

infrasysteme

2016-05-02 05:41

reporter   ~0010040

any news about this feature ?
Thanks :)

stf

stf

2016-06-09 10:57

reporter   ~0010339

push... any news?

RichiH

RichiH

2016-06-13 11:03

reporter   ~0010352

This would also be rather useful for calendar invitations. People inviting richard.hartmann@ make SOGo tell me the invite is not for me as I am using rih@ internally.

infrasysteme

infrasysteme

2017-03-31 04:55

reporter   ~0011640

A little push for this feature !
Thanks :)

buzzdee

buzzdee

2017-08-31 17:02

reporter   ~0012245

oh, yes please, that would help quite a lot!

fsoyer

fsoyer

2017-09-14 04:26

reporter   ~0012289

Last edited: 2017-09-14 05:17

View 3 revisions

I join the crowd :) Using MailFieldNames is really complicated to setup and not enough flexible. Users often have no access to their mail account setup (created in LDAP or in db, by admins), so filling mail1, mail2,... isn't a simple procedure :(
The link with the correct alias in from: field when replying a mail is required at the same level.
Please give us some hope about a such feature ?

[EDIT] Additionally, the extra feature enabling multiple signatures for multiple aliases will be the Grail.

infrasysteme

infrasysteme

2018-01-23 03:35

reporter   ~0012532

Any news about this ?
Thanks !

Joan

Joan

2018-06-21 01:19

reporter   ~0012921

Hi, what is the status of this ?

fsoyer

fsoyer

2019-03-15 09:22

reporter   ~0013450

Hi,
coming back to this request... Any news, any roadmap for this ?
Thanks.

ludovic

ludovic

2019-03-15 16:11

administrator   ~0013458

A customer is looking into sponsoring this feature. We'll know soon.

Hubert666

Hubert666

2019-03-25 08:29

reporter   ~0013493

Not having this "identities management" is why I keep using Roundcube and do not switch to SOGo (both provided by Gandi)

bisdule

bisdule

2019-04-09 09:40

reporter   ~0013536

Ludovic, how can we help to sponsoring this feature ?

jeouz

jeouz

2019-04-09 10:45

reporter   ~0013538

Same, I would be also interested in that feature.

davrom

davrom

2019-05-13 19:57

reporter   ~0013569

I opened a request on this ages ago asking if a user can simply select username@domain1, username@domain2 etc when compiling an e-mail based on domains actually set in SOGo. I recall very early in the piece, before possibly an overnight update removed it, that I could actually select from two domain sender 'aliases' I had here, but seems to have gone now?
The only answer I got back some time ago was to set up multiple domains in ldap but the issue is the server(s) installed are using MySQL and I have no idea how to code that :-( (plus the ldap config on CentOS never follows the base setup and works.... it is very simple to set up but on CentOS 6 is buggy).
My main customer wants to stay with SOGo so I have to stay with supporting it and is still the main issue they prod me about every so often.
Maybe if I can get ldap to work I can migrate them and try it but what gets broken if I leave MySQL? It should not be this hard to simply be able to select multiple aliased sending addresses - and as I said, I had it working for two domains (same username) way back in the GNUstepDefaults setup days - will dig around and see if I can find ye olde config and update you if it works.

davrom

davrom

2019-05-13 22:26

reporter   ~0013570

RoundCube gives you an 'identities' section where the logged in user can add any number of e-mail IDs to send from, so is what I am after exactly.
So just like Thunderbird, the only way to do this possibly is to add additional accounts for IMAP in the Preferences area, but I don't want different IMAP accounts under the one interface, just the ability to change the sender address when composing.
To date and years on, it does not look like it is possible or going to be implemented?
What I 'can' do is install the latest Roundcube for the customer and then have them use the CardDAV bit to sync address books with SOGo.... but is then two separate bits of software and they love the SOGo e-mail web interface.

schmirl

schmirl

2019-05-14 02:56

reporter   ~0013571

If all you're after is multiple email addresses per user, not true identities, you have the following SOGo configfile options:

  1. One additional user-defined address: SOGoMailCustomFromEnabled
  2. Multiple database-defined addresses: MailFieldNames: Let's you define a list of database columns with space separated lists of email addresses in each column.
kc85

kc85

2019-05-15 01:38

reporter   ~0013572

Here's another vote for this feature - would be much appreciated

@davrom: regarding Thunderbird: there you have this identities feature too, additional IMAP accounts are possible but not necessary

Vincent

Vincent

2019-05-27 05:52

reporter   ~0013579

Last edited: 2019-05-27 05:54

View 3 revisions

I up-vote also this, would be a killer feature for multi-accounts use. I created my account only to upvote this request!

fsoyer

fsoyer

2021-01-12 07:53

reporter   ~0015027

Hi Francis, Is this feature enabled in v5 ? I just updated to v5.0.1, seeing in the UI that we have a "new identity" possibility in imap account preferences. With different signature for each, which is really appreciated ! But I can't add one because the "OK" button is never enabled. And I can't find any doc about this, and the configuration of this.
Can you give some information, or links to some documentations, about this ?
(actually our Sogo use mysql with "MailFieldNames" option, aliases manually created in the database. Would be nice if our users can add their aliases by themself !!)
Thanks

fsoyer

fsoyer

2021-01-12 09:13

reporter   ~0015028

Well, maybe it's more problematic : since this upgrade to v5, I can't modify anything in the imap account, especially the existing signature : all seems Ok when modifying, but the "OK" button never become available :( Can something in sogo.conf (updated from v4), or someting else, block this ?

francis

francis

2021-01-12 09:31

administrator   ~0015029

Did you empty your browser's cache? Do you have any JavaScript error in your browser's console?

fsoyer

fsoyer

2021-01-12 10:18

reporter   ~0015032

Well Francis, sorry for the wasted time : I've not seen that, in the (new) default identity, the field "Full Name" was empty. It was probably not expected or not existing in v4. Updating it enabled the "OK" button. I could add a new identity, from aliases, and with a new one.
So, can you confirme to me that I can now disable "MailFieldNames" in my config and recreate aliases by this way in UI ?

francis

francis

2021-01-12 10:33

administrator   ~0015033

SOGo won't write to your SQL authentication database, even If SOGoMailCustomFromEnabled is set to YES. You still have to manage your aliases from a different tool.

fsoyer

fsoyer

2021-01-12 10:40

reporter   ~0015034

Oh ? Strange... Waiting for your response, I disabled MailFieldNames and restarted Sogo. The aliases disappeared in the list when sending an email. I recreated them in the UI, with differents signature (fantastic !). All seems to work.
Then, all my tests with these aliases as sender worked. I restarted Sogo, I aliases don't disappeared... So, if it is not wrote in the database, it is necessarily kept elsewhere ? and, last but not least : it works !! ;)

fsoyer

fsoyer

2021-01-12 10:47

reporter   ~0015035

Founded aliases in table sogo_user_profile, field c_settings. So, It seems that Sogo still writes in the database, no ?

francis

francis

2021-01-12 10:47

administrator   ~0015036

The user preferences are saved in the database at theSOGoProfileURL; it's not related to your SQL User Source.

fsoyer

fsoyer

2021-01-12 10:50

reporter   ~0015037

Yes, but now I'm not sure to understand : why do you say that I must manage aiiases from another tool ?

francis

francis

2021-01-12 10:56

administrator   ~0015038

The MailFieldNames attribute is associated to either an LDAP source or an SQL source. From my understanding, you're using an SQL source. This source won't be modified by SOGo. But obviously, SOGo will read and write to the main tables (SOGoProfileURL, OCSFolderInfoURL, OCSSessionsFolderURL, and all the user tables).

fsoyer

fsoyer

2021-01-12 11:05

reporter   ~0015039

Oh, OK, but this source in fact was a "fake" one : with v4, I just created a table with 5 fields "aliasXX", managed and updated manually and declared in MailFieldNames, so we had them in the sender list. So, creating them in UI and keeping them in user profile is exactly what we expected ! Thanks

fsoyer

fsoyer

2021-01-14 04:33

reporter   ~0015041

Hi, sorry to be back... but I've found another problem regarding this sender aliases. Previously I updated a first server and all was OK after I found that the "full name" field was empty, filling it solved the problem and I could create some aliases. Yesterday I updated a second server, and I have another problem : this time, the "full name" is already filled with the account name, and is read-only... So, I can create aliases, but for all the full name is filled with the same account name and read-only.
The second problem is, that the signatures can be created for each, but don't switched when I change the sender in an email : it is added (stacked one above the other) to the previous signature ! This thing worked well on the first server updated, the signatures switched correctly when we changed sender alias).
I add some files : screenshot of profile on the first server (OK) = profile1.png, screenshot of profile on the second server (not OK, RO) = profile2.png
Regarding the field c_settings in the databases, It seems to be really different. The settings1.txt file contains the field c_settings of my profile in table sogo_user_profile on the first server, settings1.txt contains the field c_settings of my profile on the second server.
Any idea to solve this on the second server ?

settings2.txt (5,193 bytes)   
| frank.xxxxx@xxxxxx.fr | {"SOGoCalendarCategoriesColors": {"Statut": "#CCCCCC", "Projets": "#CCCCCC", "Congés": "#CCCCCC", "Jour férié": "#CCCCCC", "Congrès": "#CCCCCC", "Problèmes": "#CCCCCC", "Réunion": "#CCCCCC", "Suivis": "#CCCCCC", "Anniversaire": "#CCCCCC", "Voyages": "#CCCCCC", "Fournisseurs": "#CCCCCC", "Idées": "#CCCCCC", "Préférés": "#CCCCCC", "Clients": "#FFCC33", "Appels": "#CCCCCC", "Affaire": "#CCCCCC", "Divers": "#CCCCCC", "Personnel": "#CCCCCC", "Compétitions": "#CCCCCC", "Cadeaux": "#CCCCCC", "Professionnel": "#CCCCCC", "Consommation": "#CCCCCC"}, "SOGoSieveFilters": [{"actions": [{"argument": "Spam", "method": "fileinto"}], "name": "testfiltre1", "rules": [{"field": "from", "operator": "contains", "value": "fxxxxx@systea.fr"}], "match": "all", "active": 1}], "SOGoGravatarEnabled": 0, "LocaleCode": "fr", "SOGoGoogleAuthenticatorEnabled": 0, "SOGoMailComposeFontSize": 0, "SOGoMailReceiptNonRecipientAction": "ignore", "SOGoDayStartTime": "08:00", "locale": {"months": ["Janvier", "Février", "Mars", "Avril", "Mai", "Juin", "Juillet", "Août", "Septembre", "Octobre", "Novembre", "Décembre"], "shortMonths": ["Jan", "Fév", "Mar", "Avr", "Mai", "Jun", "Jul", "Aoû", "Sep", "Oct", "Nov", "Déc"], "shortDays": ["Dim", "Lun", "Mar", "Mer", "Jeu", "Ven", "Sam"], "days": ["Dimanche", "Lundi", "Mardi", "Mercredi", "Jeudi", "Vendredi", "Samedi"]}, "SOGoAlternateAvatar": "none", "SOGoLoginModule": "Mail", "SOGoLDAPGroupExpansionEnabled": 0, "SOGoCalendarCategories": ["Consommation", "Clients", "Préférés", "Problèmes", "Idées", "Divers", "Affaire", "Anniversaire", "Professionnel", "Voyages", "Projets", "Fournisseurs", "Cadeaux", "Compétitions", "Réunion", "Appels", "Congés", "Personnel", "Statut", "Congrès", "Suivis", "Jour férié"], "SOGoDayEndTime": "18:00", "SOGoMailComposeMessageType": "html", "SOGoCalendarWeekdays": ["SU", "MO", "TU", "WE", "TH", "FR", "SA"], "hasActiveExternalSieveScripts": 0, "SOGoShortDateFormat": "%d-%b-%y", "SOGoMailSignaturePlacement": "below", "SOGoMailMessageForwarding": "inline", "SOGoMailReceiptOutsideDomainAction": "ignore", "SOGoTimeZone": "Europe\/Paris", "SOGoMailReceiptAllow": "1", "SOGoTimeFormat": "%H:%M", "Vacation": {"daysBetweenResponse": 7, "autoReplyEmailAddresses": ["frank.xxxxx@xxxxxx.fr"], "endDate": 0, "startDate": 0}, "SOGoRememberLastModule": 0, "SOGoCalendarTasksDefaultClassification": "PUBLIC", "SOGoRefreshViewCheck": "manually", "SOGoCalendarDefaultReminder": "NONE", "SOGoMailLabelsColors": {"$label5": ["Peut attendre", "#993399"], "$label2": ["Travail", "#FF9900"], "$label4": ["À faire", "#3333FF"], "$label1": ["Important", "#FF0000"], "$label3": ["Personnel", "#009900"]}, "SOGoMailAutoSave": 5, "SOGoLongDateFormat": "%A, %B %d, %Y", "SOGoMailReceiptAnyAction": "ignore", "SOGoDefaultCalendar": "selected", "SOGoMailReplyPlacement": "below", "SOGoAppointmentSendEMailNotifications": 1, "SOGoMailSignature": "<table border=\"0\" cellspacing=\"1\" cellpadding=\"1\" style=\"width: 500px;\"><tbody><tr><td style=\"width: 133px;\"><img alt=\"\" width=\"120\" height=\"123\" vspace=\"0\" hspace=\"0\" border=\"0\" style=\"width:120px;height:123px;margin-top:0px;margin-bottom:0px;margin-left:0px;margin-right:0px;border:0px solid black;\" src=\"http:\/\/xxxxxx-3.kogite.fr\/images\/logo_xxxxxx_15pct_du_grand.jpg\" \/><\/td><td style=\"width: 360px;\"><span style=\"color:#2980b9;\"><strong>Prénom Nom<\/strong><\/span><br \/><strong>Fonction<\/strong><br \/><br \/>Adresse<br \/>Téléphone<br \/><br \/><a href=\"http:\/\/www.xxxxxx.fr\">www.xxxxxx.fr<\/a><\/td><\/tr><\/tbody><\/table>", "SOGoFirstWeekOfYear": "January1", "SOGoSelectedAddressBook": "personal", "SOGoCalendarEventsDefaultClassification": "PUBLIC", "SOGoAnimationMode": "normal", "SOGoMailAddOutgoingAddresses": 0, "AuxiliaryMailAccounts": [], "SOGoFirstDayOfWeek": 0, "SOGoLanguage": "French", "SOGoContactsCategories": [" Client", " Collègue", " Concurrent", " Famille", " Fournisseur", " Partenaire d'affaire", " Presse", " VIP", "Ami"], "SOGoMailDisplayRemoteInlineImages": "never", "SOGoMailIdentities": [{"isDefault": 1, "email": "frank.xxxxx@xxxxxx.fr", "fullName": "frank.xxxxx", "signature": "<table style=\"width: 500px;\" cellspacing=\"1\" cellpadding=\"1\" border=\"0\"><tbody><tr><td style=\"width: 133px;\"><img alt=\"\" style=\"width:120px;height:123px;margin-top:0px;margin-bottom:0px;margin-left:0px;margin-right:0px;border:0px solid black;\" src=\"http:\/\/xxxxxx-3.kogite.fr\/images\/logo_xxxxxx_15pct_du_grand.jpg\" \/><\/td><td style=\"width: 360px;\"><span style=\"color:#2980b9;\"><strong>Prénom Nom<\/strong><\/span><br \/><strong>Fonction<\/strong><br \/><br \/>Adresse<br \/>Téléphone<br \/><br \/><a href=\"http:\/\/www.xxxxxx.fr\">www.xxxxxx.fr<\/a><\/td><\/tr><\/tbody><\/table>"}]} | {"Contact": {"SortingState": ["c_cn", "1"]}, "Calendar": {"SelectedList": "eventsListView", "FoldersOrder": ["personal"], "PreventInvitationsWhitelist": {}, "EventsFilterState": "view_next7", "ListState": "collapse", "EventsSortingState": ["start", "1"], "View": "weekview"}, "General": {"Salt": "3796c2d815a2853ed9b1de34735bffb7b80fad0c"}, "Mail": {"ExpandedFolders": ["\/0"]}} |

settings2.txt (5,193 bytes)   
settings1.txt (21,127 bytes)   
| fxxxxx@xxxxxx.fr | {"SOGoCalendarCategoriesColors": {"Appels": "#aaa", "Réunion": "#aaa", "Professionnel": "#33CC00", "A faire": "#FF0000", "Personnel": "#FFFF00", "Divers": "#aaa", "Projets": "#aaa", "Congés": "#aaa", "Einden": "#CC33CC", "Suivis": "#aaa"}, "SOGoSieveFilters": [{"actions": [{"argument": "Junk", "method": "fileinto"}], "name": "sieve_fxxxxx_SPAM", "rules": [{"field": "subject", "operator": "contains", "custom_header": "<null>", "value": "***SPAM***"}, {"field": "header", "operator": "contains", "custom_header": "X-Spam-Flag", "value": "YES"}, {"field": "header", "operator": "contains", "custom_header": "X-spam-flag", "value": "YES"}], "match": "any", "active": 1}, {"actions": [{"argument": "Info", "method": "fileinto"}, {"argument": "<null>", "method": "stop"}], "name": "sieve_fxxxxx_INFO", "rules": [{"field": "to", "operator": "is", "value": "info@xxxxxx.net"}, {"field": "to", "operator": "is", "value": "infos@xxxxxx.net"}, {"field": "to", "operator": "is", "value": "info@xxxxxx.fr"}, {"field": "to", "operator": "is", "value": "contact@xxxxxx.net"}, {"field": "to", "operator": "is", "value": "infos@xxxxxx.fr"}, {"field": "from", "operator": "is", "value": "noreply-dmarc-support@google.com"}], "match": "any", "active": 1}, {"actions": [{"argument": "1_Free", "method": "fileinto"}, {"method": "stop"}], "name": "sieve_fxxxxx_FREE_GMAIL", "rules": [{"field": "to_or_cc", "operator": "contains", "value": "free.fr"}, {"field": "from", "operator": "is", "value": "forum.ouestlekeum@gmail.com"}, {"field": "to", "operator": "is", "value": "gjpoitiers.infos@framalistes.org"}, {"field": "to", "operator": "is", "value": "frank.xxxxx@gmail.com"}, {"field": "to_or_cc", "operator": "is", "value": "adp86@framalistes.org"}, {"field": "to_or_cc", "operator": "contains", "value": "attac.org"}, {"field": "to_or_cc", "operator": "contains", "value": "anv-cop21.poitiers@protonmail.com"}], "match": "any", "active": 1}, {"actions": [{"argument": "seen", "method": "addflag"}, {"argument": "0_xxxxxx\/Clients\/Einden", "method": "fileinto"}, {"method": "stop"}], "name": "sieve_fxxxxx_EINDEN", "rules": [{"field": "from", "operator": "is", "value": "interne@einden.fr"}, {"field": "to_or_cc", "operator": "is", "value": "interne@einden.fr"}, {"field": "to_or_cc", "operator": "is", "value": "dns@einden.com"}, {"field": "to_or_cc", "operator": "is", "value": "admin@ephoto-dam.com"}, {"field": "from", "operator": "is", "value": "support-systeme@einden.com"}, {"field": "to_or_cc", "operator": "is", "value": "support-systeme@einden.com"}, {"field": "from", "operator": "is", "value": "support-systeme@ephoto.fr"}, {"field": "to_or_cc", "operator": "is", "value": "support-systeme@ephoto.fr"}, {"field": "to_or_cc", "operator": "is", "value": "support-systeme@einden.fr"}, {"field": "from", "operator": "is", "value": "support-systeme-us@ephoto.fr"}], "match": "any", "active": 1}, {"actions": [{"argument": "Trash", "method": "fileinto"}, {"method": "stop"}], "name": "sieve_fxxxxx_TO_TRASH", "rules": [{"field": "subject", "operator": "contains", "value": "Backup ABC Décibel"}, {"field": "from", "operator": "contains", "value": "contact@cgpme86.fr"}, {"field": "subject", "operator": "contains", "value": "ABC Décibel : Scan Antivirus"}, {"field": "from", "operator": "contains", "value": "contact@cpme86.fr"}, {"field": "subject", "operator": "contains", "value": "Report Domain: xxxxxx.fr"}], "match": "any", "active": 1}, {"actions": [{"argument": "seen", "method": "addflag"}, {"argument": "0_xxxxxx\/Logiciels\/BlueOnyx", "method": "fileinto"}], "name": "sieve_fxxxxx_BO_list", "rules": [{"field": "to_or_cc", "operator": "is", "value": "blueonyx@mail.blueonyx.it"}, {"field": "header", "operator": "is", "custom_header": "Reply-To", "value": "blueonyx@mail.blueonyx.it"}, {"field": "to_or_cc", "operator": "is", "value": "blueonyx@blueonyx.it"}], "match": "any", "active": 1}, {"actions": [{"argument": "0_xxxxxx\/Logiciels\/OSSEC", "method": "fileinto"}, {"argument": "seen", "method": "addflag"}], "name": "sieve_fxxxxx_OSSEC_list", "rules": [{"field": "to_or_cc", "operator": "is", "value": "ossec-list@googlegroups.com"}], "match": "any", "active": 1}, {"actions": [{"argument": "0_xxxxxx\/Logiciels\/OpenStack", "method": "fileinto"}, {"argument": "seen", "method": "addflag"}], "name": "sieve_fxxxxx_OPENSTACK_list", "rules": [{"field": "to_or_cc", "operator": "is", "value": "openstack@lists.openstack.org"}], "match": "any", "active": 1}, {"actions": [{"argument": "0_xxxxxx\/Logiciels\/oVirt", "method": "fileinto"}, {"argument": "seen", "method": "addflag"}], "name": "sieve_fxxxxx_OVIRT_list", "rules": [{"field": "to_or_cc", "operator": "contains", "value": "Users@ovirt.org"}, {"field": "to_or_cc", "operator": "is_not", "value": "fxxxxx@xxxxxx.fr"}], "match": "all", "active": 1}, {"actions": [{"argument": "0_xxxxxx\/Logiciels\/Rdiff", "method": "fileinto"}], "name": "sieve_fxxxxx_RDIFF_list", "rules": [{"field": "to_or_cc", "operator": "is", "value": "rdiff-backup-users@nongnu.org"}, {"field": "subject", "operator": "contains", "value": "[rdiff-backup\/rdiff-backup]"}], "match": "any", "active": 1}, {"actions": [{"argument": "0_xxxxxx\/Logiciels\/Request Tracker", "method": "fileinto"}], "name": "sieve_fxxxxx_RT_list", "rules": [{"field": "to_or_cc", "operator": "regex", "value": "rt-users@lists.bestpractical.com|rt-users@bestpractical.com"}, {"field": "to", "operator": "is_not", "value": "fxxxxx@xxxxxx.fr"}], "match": "all", "active": 1}, {"actions": [{"argument": "0_xxxxxx\/Logiciels\/Seafile", "method": "fileinto"}, {"argument": "seen", "method": "addflag"}], "name": "sieve_fxxxxx_SEAFILE_list", "rules": [{"field": "header", "operator": "is", "custom_header": "List-ID", "value": "seafile ce.forum.seafile-server.org"}, {"field": "to", "operator": "is", "value": "seahub@noreply.github.com"}, {"field": "to", "operator": "is", "value": "seafile@noreply.github.com"}, {"field": "to", "operator": "is", "value": "seadroid@noreply.github.com"}, {"field": "to", "operator": "is", "value": "seafile-client@noreply.github.com"}], "match": "any", "active": 1}, {"actions": [{"argument": "0_xxxxxx\/Logiciels\/Sogo", "method": "fileinto"}, {"argument": "seen", "method": "addflag"}], "name": "sieve_fxxxxx_SOGO_list", "rules": [{"field": "header", "operator": "contains", "custom_header": "List-Id", "value": "users.sogo.nu"}, {"field": "body", "operator": "contains_not", "value": "schrieb \"Frank xxxxx\""}], "match": "all", "active": 1}, {"actions": [{"argument": "Alertes\/Monit", "method": "fileinto"}], "name": "sieve_fxxxxx_MONIT", "rules": [{"field": "from", "operator": "contains", "value": "monit"}, {"field": "to", "operator": "contains", "value": "support@xxxxxx"}, {"field": "subject", "operator": "contains_not", "value": "failed ICMP test"}, {"field": "subject", "operator": "contains_not", "value": "cannot open a connection to INET"}, {"field": "subject", "operator": "regex_not", "value": "space usage.*.matches.*"}, {"field": "subject", "operator": "contains_not", "value": "passed ICMP test"}, {"field": "subject", "operator": "contains_not", "value": "connection passed to INET"}], "match": "all", "active": 1}, {"actions": [{"argument": "Alertes\/OSSEC", "method": "fileinto"}], "name": "sieve_fxxxxx_OSSEC", "rules": [{"field": "to", "operator": "is", "value": "support@xxxxxx.fr"}, {"field": "subject", "operator": "regex", "value": "OSSEC Notification|OSSEC Alert"}], "match": "all", "active": 1}, {"actions": [{"argument": "0_xxxxxx\/Logiciels\/Chatons", "method": "fileinto"}], "name": "sieve_fxxxxx_CHATONS", "rules": [{"field": "to_or_cc", "operator": "contains", "value": "chatons@framalistes.org"}, {"field": "subject", "operator": "contains", "value": "[chatons]"}], "match": "any", "active": 1}, {"actions": [{"argument": "Alertes", "method": "fileinto"}], "name": "sieve_fxxxxx_ALERTES", "rules": [{"field": "from", "operator": "contains", "value": "shinken"}, {"field": "subject", "operator": "contains", "value": "rkhunter"}, {"field": "subject", "operator": "contains", "value": "LogWatch"}, {"field": "subject", "operator": "contains", "value": "Yum Update"}], "match": "any", "active": 1}, {"actions": [{"argument": "seen", "method": "addflag"}, {"argument": "Backups", "method": "fileinto"}], "name": "sieve_fxxxxx_BACKUPS", "rules": [{"field": "subject", "operator": "regex", "value": ".*(b|B)ackup.*|.*(s|S)auvegarde.*"}, {"field": "subject", "operator": "regex", "value": ".*(s|S)ucces.*|.*termine.*"}], "match": "all", "active": 1}, {"actions": [{"argument": "seen", "method": "addflag"}, {"argument": "Trash", "method": "fileinto"}], "name": "sieve_fxxxxx_SUSPICIOUS", "rules": [{"field": "header", "operator": "contains", "custom_header": "X-Virus-Scan", "value": "Suspicious"}], "match": "any", "active": 1}, {"actions": [{"argument": "seen", "method": "addflag"}, {"argument": "Trash", "method": "fileinto"}], "name": "sieve_fxxxxx_MAILCLEANER_non_remis", "rules": [{"field": "to", "operator": "is", "value": "mailcleaner@xxxxxx.net"}, {"field": "subject", "operator": "contains", "value": "Non remis : Rapport de quarantaine Mailcleaner"}], "match": "all", "active": 1}, {"actions": [{"argument": "Mailcleaner", "method": "fileinto"}], "name": "sieve_fxxxxx_Mailcleaner", "rules": [{"field": "subject", "operator": "contains", "value": "Rapport de quarantaine Mailcleaner"}, {"field": "to", "operator": "regex_not", "value": "info.*@xxxxxx.net"}, {"field": "to", "operator": "contains_not", "value": "contact@xxxxxx.net"}, {"field": "from", "operator": "is", "value": "mailcleaner@xxxxxx.net"}], "match": "all", "active": 1}, {"actions": [{"argument": "seen", "method": "addflag"}, {"argument": "0_xxxxxx\/Logiciels\/CachetHQ", "method": "fileinto"}], "name": "sieve_fxxxxx_CACHET_github", "rules": [{"field": "to", "operator": "is", "value": "Cachet@noreply.github.com"}], "match": "any", "active": 1}, {"actions": [{"argument": "0_xxxxxx\/Logiciels\/Shinken", "method": "fileinto"}], "name": "sieve_fxxxxx_SHINKEN", "rules": [{"field": "to", "operator": "is", "value": "shinken@noreply.github.com"}], "match": "any", "active": 1}, {"actions": [{"argument": "0_xxxxxx\/Logiciels\/Ansible", "method": "fileinto"}, {"argument": "seen", "method": "addflag"}], "name": "sieve_fxxxxx_ANSIBLE_list", "rules": [{"field": "to", "operator": "is", "value": "ansible@noreply.github.com"}], "match": "all", "active": 1}, {"actions": [{"argument": "0_xxxxxx\/Logiciels\/VestaCP", "method": "fileinto"}], "name": "sieve_fxxxxx_VESTA_list", "rules": [{"field": "to", "operator": "is", "value": "vesta@noreply.github.com"}, {"field": "to_or_cc", "operator": "is_not", "value": "fxxxxx@xxxxxx.net"}], "match": "all", "active": 1}, {"actions": [{"argument": "seen", "method": "addflag"}, {"argument": "0_xxxxxx\/Logiciels\/Gluster", "method": "fileinto"}], "name": "sieve_fxxxxx_GLUSTER_list", "rules": [{"field": "to_or_cc", "operator": "contains", "value": "gluster-users@gluster.org"}], "match": "all", "active": 1}, {"actions": [{"argument": "Alertes", "method": "fileinto"}], "name": "sieve_fxxxxx_CHKROOTKIT", "rules": [{"field": "subject", "operator": "contains", "value": "chkrootkit"}, {"field": "body", "operator": "contains_not", "value": "INFECTED|Possible"}], "match": "all", "active": 1}], "SOGoGravatarEnabled": 0, "LocaleCode": "fr", "SOGoGoogleAuthenticatorEnabled": 0, "SOGoMailComposeFontSize": 0, "SOGoMailReceiptNonRecipientAction": "ignore", "SOGoMailSynchronizeOnlyDefaultFolders": "0", "SOGoMailSortByThreads": 0, "SOGoDayStartTime": "09:00", "locale": {"months": ["Janvier", "Février", "Mars", "Avril", "Mai", "Juin", "Juillet", "Août", "Septembre", "Octobre", "Novembre", "Décembre"], "shortMonths": ["Jan", "Fév", "Mar", "Avr", "Mai", "Jun", "Jul", "Aoû", "Sep", "Oct", "Nov", "Déc"], "shortDays": ["Dim", "Lun", "Mar", "Mer", "Jeu", "Ven", "Sam"], "days": ["Dimanche", "Lundi", "Mardi", "Mercredi", "Jeudi", "Vendredi", "Samedi"]}, "SOGoAlternateAvatar": "none", "SOGoLoginModule": "Mail", "SOGoLDAPGroupExpansionEnabled": 0, "SOGoCalendarCategories": ["Divers", "Personnel", "Congés", "Suivis", "Projets", "Réunion", "Professionnel", "A faire", "Einden", "Appels"], "SOGoDayEndTime": "18:00", "SOGoMailComposeMessageType": "html", "SOGoCalendarWeekdays": ["SU", "MO", "TU", "WE", "TH", "FR", "SA"], "hasActiveExternalSieveScripts": 0, "SOGoShortDateFormat": "%d-%b-%y", "SOGoMailSignaturePlacement": "above", "SOGoMailMessageForwarding": "inline", "SOGoDesktopNotifications": 1, "SOGoMailFetchAllUnseenCountFolders": 0, "SOGoMailReceiptOutsideDomainAction": "ignore", "Forward": {"forwardAddress": [], "enabled": 0, "keepCopy": 0}, "SOGoTimeZone": "Europe\/Paris", "SOGoMailReceiptAllow": "1", "SOGoTimeFormat": "%H:%M", "Vacation": {"daysBetweenResponse": "3", "autoReplyEmailAddresses": ["fxxxxx@xxxxxx.fr", "fxxxxx@xxxxxx.net"], "enabled": 0, "endDate": 1577660400, "autoReplyText": "Bonjour,\nJe serai absent jusqu'au 28 décembre 2019. Pendant cette période merci à nos clients d'ouvrir un ticket sur le helpdesk (mail à helpdesk@xxxxxx.fr) pour toutes urgences, je serai prévenu. Pour toutes autres questions je vous répondrai à partir du 30\/12\/2019.\n\nJe vous souhaite de bonne fêtes de Noël.\nCordialement,\nFrank xxxxx\n xxxxxx IG", "alwaysSend": 0, "endDateEnabled": 1, "ignoreLists": 1, "customSubjectEnabled": 0, "startDate": 0}, "SOGoRememberLastModule": 0, "SOGoCalendarTasksDefaultClassification": "PUBLIC", "SOGoRefreshViewCheck": "every_minute", "SOGoCalendarDefaultReminder": "NONE", "SOGoMailAutoSave": 5, "SOGoMailLabelsColors": {"$label5": ["Peut attendre", "#993399"], "$label2": ["Travail", "#FF9900"], "$label4": ["À faire", "#3333FF"], "$label1": ["Important", "#FF0000"], "$label3": ["Personnel", "#009900"]}, "SOGoLongDateFormat": "%A, %B %d, %Y", "SOGoMailReceiptAnyAction": "ignore", "SOGoBusyOffHours": "0", "SOGoDefaultCalendar": "selected", "SOGoMailReplyPlacement": "above", "SOGoMailShowSubscribedFoldersOnly": "0", "SOGoAppointmentSendEMailNotifications": 1, "SOGoMailSignature": "<style type=\"text\/css\">.Text1 {\n        color: black;\n        font-size:9pt;\n        font-family:Verdana;\n    }\n    .Text2 {\n        color: black;\n        font-size:7pt;\n        font-family:Verdana;\n    }<\/style><p class=\"Text1\">Cordialement,<br \/><br \/><b>Frank xxxxx <\/b><br \/>Mob. 06 72 28 38 53 - Fix. 05 49 50 52 34<\/p><p class=\"Text2\"><b><img alt=\"\" style=\"width: 40px; height: 40px; margin: 0px 5px; border: 0px solid black; float: left;\" src=\"https:\/\/www.xxxxxx.fr\/public\/Logo_xxxxxx_40x40.png\" \/>xxxxxx IG<\/b><br \/>Administration systèmes, réseaux et bases de données<br \/><a title=\"xxxxxx IG\" href=\"http:\/\/www.xxxxxx.fr\">www.xxxxxx.fr<\/a><br \/>Membre du réseau <a title=\"Les Professionnels du Numérique en Poitou-Charentes\" href=\"http:\/\/www.spn.asso.fr\">Les Professionnels du Numérique<\/a><\/p><p class=\"Text2\"><b><img alt=\"\" style=\"width: 40px; height: 41px; margin: 0px 5px; border: 0px solid black; float: left;\" src=\"https:\/\/www.xxxxxx.fr\/public\/ico_kogite_40x41.png\" \/>KoGite<\/b><br \/>Hébergement de proximité &nbsp;<br \/><a title=\"KoGite - Hébergeur de proximité\" href=\"http:\/\/www.kogite.fr\">www.kogite.fr<\/a><br \/>&nbsp;<\/p>", "SOGoFirstWeekOfYear": "First4DayWeek", "SOGoSelectedAddressBook": "collected", "SOGoCalendarEventsDefaultClassification": "PUBLIC", "SOGoAnimationMode": "normal", "SOGoMailAddOutgoingAddresses": "1", "AuxiliaryMailAccounts": [], "SOGoFirstDayOfWeek": "1", "SOGoLanguage": "French", "SOGoContactsCategories": ["ACEOS-CGMPE", "Ami", "Bureau SPN", "Client", "Collègue", "Concurrent", "Famille", "Fournisseur", "Membre BNI", "Membre CEI", "Membre CRIJ", "Membre SPN", "Organisme Public", "Partenaire d'affaire", "Patchworking", "Prescripteur", "Presse", "VIP"], "SOGoMailDisplayRemoteInlineImages": "never", "SOGoMailIdentities": [{"isDefault": 1, "email": "fxxxxx@xxxxxx.fr", "fullName": "Frank xxxxx", "signature": "<style type=\"text\/css\">.Text1 {\n        color: black;\n        font-size:9pt;\n        font-family:Verdana;\n    }\n    .Text2 {\n        color: black;\n        font-size:7pt;\n        font-family:Verdana;\n    }<\/style><p class=\"Text1\">Cordialement,<br \/><br \/><b>Frank xxxxx <\/b><br \/>Mob. 06 72 28 38 53 - Fix. 05 49 50 52 34<\/p><p class=\"Text2\"><b><img alt=\"\" style=\"width: 40px; height: 40px; margin: 0px 5px; border: 0px solid black; float: left;\" src=\"https:\/\/www.xxxxxx.fr\/public\/Logo_xxxxxx_40x40.png\" \/>xxxxxx IG<\/b><br \/>Administration systèmes, réseaux et bases de données<br \/><a title=\"xxxxxx IG\" href=\"http:\/\/www.xxxxxx.fr\">www.xxxxxx.fr<\/a><br \/>Membre du réseau <a title=\"Les Professionnels du Numérique en Poitou-Charentes\" href=\"http:\/\/www.spn.asso.fr\">Les Professionnels du Numérique<\/a><\/p><p class=\"Text2\"><b><img alt=\"\" style=\"width: 40px; height: 41px; margin: 0px 5px; border: 0px solid black; float: left;\" src=\"https:\/\/www.xxxxxx.fr\/public\/ico_kogite_40x41.png\" \/>KoGite<\/b><br \/>Hébergement de proximité &nbsp;<br \/><a title=\"KoGite - Hébergeur de proximité\" href=\"http:\/\/www.kogite.fr\">www.kogite.fr<\/a><br \/>&nbsp;<\/p>"}, {"email": "fxxxxx@free.fr", "fullName": "Frank", "signature": "<br \/>Frank"}, {"email": "frank.xxxxx@gmail.com", "fullName": "Frank xxxxx", "signature": "<br \/>Frank xxxxx"}, {"email": "support@xxxxxx.fr", "fullName": "Support", "signature": "<br \/>--<br \/>Cordialement,<br \/>le support"}, {"email": "info@xxxxxx.fr", "fullName": "Info", "signature": "<br \/>--<br \/>Cordialement,<br \/>l'équipe xxxxxx"}]} | {"Contact": {"SortingState": ["c_sn", "1"]}, "Calendar": {"SubscribedFolders": [], "WebCalendars": {"fxxxxx@xxxxxx.fr:Calendar\/3D8F-5647D080-1-5E58EE00": "https:\/\/mozorg.cdn.mozilla.net\/media\/caldata\/FrenchHolidays.ics"}, "FreeBusyExclusions": {"fxxxxx:Calendar\/personal": 0, "fxxxxx@xxxxxx.fr:Calendar\/personal": 0, "fxxxxx:Calendar\/484F-5583ED80-1-59138000": 1, "fxxxxx:Calendar\/3D8F-5647D080-1-5E58EE00": 1, "fxxxxx:Calendar\/579A-58949280-1-11779040": 0, "xxxxxx:Calendar\/personal": 1, "pxxxxx:Calendar\/personal": 1}, "EventsFilterState": "view_thisyear", "DragHandleVertical": "223", "NotifyOnPersonalModifications": {"fxxxxx:Calendar\/personal": 0, "fxxxxx@xxxxxx.fr:Calendar\/personal": 0, "fxxxxx:Calendar\/579A-58949280-1-11779040": 0}, "FoldersOrder": ["3D8F-5647D080-1-5E58EE00", "personal"], "FolderDisplayNames": {}, "PreventInvitations": 0, "PreventInvitationsWhitelist": {}, "TasksSortingState": ["status", "1"], "NotifiedUserOnPersonalModifications": {"fxxxxx:Calendar\/personal": "", "fxxxxx:Calendar\/579A-58949280-1-11779040": ""}, "View": "weekview", "ListState": "collapse", "InactiveFolders": ["579A-58949280-1-11779040"], "DragHandleHorizontal": "240", "AutoReloadedWebCalendars": {"fxxxxx:Calendar\/484F-5583ED80-1-59138000": 0, "fxxxxx:Calendar\/3D8F-5647D080-1-5E58EE00": 1, "fxxxxx@xxxxxx.fr:Calendar\/284C-5A1D3300-AF-60015380": 0}, "FolderShowAlarms": {"fxxxxx:Calendar\/3D8F-5647D080-1-5E58EE00": 0, "pxxxxx:Calendar\/personal": 0}, "FolderSynchronize": {"fxxxxx@xxxxxx.fr:Calendar\/personal": 1}, "NotifyUserOnPersonalModifications": {"fxxxxx:Calendar\/personal": 0, "fxxxxx@xxxxxx.fr:Calendar\/personal": 0, "fxxxxx:Calendar\/579A-58949280-1-11779040": 0}, "FolderShowTasks": {"fxxxxx:Calendar\/3D8F-5647D080-1-5E58EE00": 0}, "TasksFilterState": "view_thisyear", "FolderColors": {"fxxxxx:Calendar\/personal": "#3366FF", "fxxxxx@xxxxxx.fr:Calendar\/personal": "#3366FF", "fxxxxx:Calendar\/484F-5583ED80-1-59138000": "#AAAAAA", "fxxxxx:Calendar\/3D8F-5647D080-1-5E58EE00": "#AAAAAA", "fxxxxx:Calendar\/579A-58949280-1-11779040": "#FF0000", "xxxxxx:Calendar\/personal": "#66CCCC", "pxxxxx:Calendar\/personal": "#FF6600"}, "NotifyOnExternalModifications": {"fxxxxx:Calendar\/personal": 0, "fxxxxx@xxxxxx.fr:Calendar\/personal": 0, "fxxxxx:Calendar\/579A-58949280-1-11779040": 0}, "EventsSortingState": ["start", "1"], "SelectedList": "eventsListView"}, "ShowCompletedTasks": "0", "Contacts": {"FolderShowAlarms": {"xxxxxx:Contacts\/personal": 0}, "DragHandleVertical": "295", "SubscribedFolders": ["postmaster@xxxxxx.fr:Contacts\/personal"], "FolderDisplayNames": {"postmaster@xxxxxx.fr:Contacts\/personal": "Commun"}}, "General": {"Salt": "b55cd895834f5a9f8a9c4e2f7f0e345d5c11da5f"}, "CalendarDefaultFilter": "view_thismonth", "Mail": {"DragHandleHorizontal": "204", "ExpandedFolders": ["\/0", "\/0\/folderPublic"], "ColumnsState": {"priorityHeader": "3", "dateHeader": "21", "fromHeader": "14", "subjectHeader": "38"}, "DelegateFrom": [], "DragHandleVertical": "293", "SortingState": ["date", "0"], "DelegateTo": [], "threadsCollapsed": {"\/0\/folder_0_U_xxxxxx\/folderAdministratif": ["288"], "\/0\/folder_0_U_xxxxxx\/folderClients\/folderCHCG": ["358", "365", "352", "347", "362"], "\/0\/folder_1_U_Free": ["9186", "9091"], "\/0\/folderINBOX": ["20179", "20391", "20413", "20428", "20593", "20525", "20679", "20871"], "\/0\/folderINBOX\/folder0_U_xxxxxx": ["314", "311", "302", "275", "262", "271", "288", "99", "110"]}}} |

settings1.txt (21,127 bytes)   
profile1.png (50,143 bytes)   
profile1.png (50,143 bytes)   
profile2.png (60,236 bytes)   
profile2.png (60,236 bytes)   
fsoyer

fsoyer

2021-01-20 12:31

reporter   ~0015052

Hi,
I've finally tried to restore a user profile, to see if it reset something : not better, unfortunately.
Any idea about what I can try or check ?

LaurentM

LaurentM

2021-01-27 04:20

reporter   ~0015063

Hi,

I am using this feature and this is really nice.

The issue I get from this is that if I want to use TLS authentification for STMP server connection, I get the message 'originator not accepted'.
The TLS authentification I set is :
SOGoSMTPServer = "smtp://127.0.0.1:587/?tls=YES&tlsVerifyMode=allowInsecureLocalhost";
SOGoMailingMechanism = smtp;
SOGoSMTPAuthenticationType = PLAIN;

If I do not use TLS authentification, my emails are sent without problems with this configuration :
SOGoSMTPServer = 127.0.0.1;
SOGoMailingMechanism = smtp;

In my sogo.conf file I have :
SOGoMailCustomFromEnabled = YES;

I have seen that you can use another variable named 'SOGoMailCustomFullName' to allow TLS authentification with use of the 'real' username for connection instead of using the usernamed used with the custom address.

How can I use this 'SOGoMailCustomFullName' variable to allow sending emails via SMTP using TLS authentification ?

Thanks

francis

francis

2021-01-27 09:43

administrator   ~0015064

@LaurentM any error in your mail log file?

LaurentM

LaurentM

2021-01-27 10:58

reporter   ~0015065

Hi Francis,

The error I get on the web interface of SOGo is:
5.7.1 <email@domain.com>: Recipient address rejected: Sender is not same as SMTP authenticate username

and in the mail.log file I have the following trace:
Jan 27 16:47:04 mail postfix/submission/smtpd[24551]: Anonymous TLS connection established from localhost.localdomain[127.0.0.1]: TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits) key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256
Jan 27 16:47:05 mail postfix/submission/smtpd[24551]: NOQUEUE: reject: RCPT from localhost.localdomain[127.0.0.1]: 554 5.7.1 <email@domain.com>: Recipient address rejected: Sender is not same as SMTP authenticate username; from=<alternate_user@mydomain.fr> to=<email@domain.com> proto=ESMTP helo=<localhost.localdomain>
Jan 27 16:47:05 mail postfix/submission/smtpd[24551]: lost connection after RCPT from localhost.localdomain[127.0.0.1]

I changed the username used to send to 'alternate_user@mydomain.fr' because it is showing a real address, the same as for the email address in the TO field.

But the main part is that the authentication is using the alternate email address used to login instead of my real email address.
That's why I would like to tell SOGo to use my real email address to login and not the alias I use for other purposes.
I have a real email address with an IMAP account on dovecot IMAP server and several email aliases used for different office contacts.

Am I clear enough ?

francis

francis

2021-05-13 16:20

administrator   ~0015261

Three parameters have incidence on SMTP authentication:

  • SOGoSMTPAuthenticationType — value can only be plain and SMTP authentication is enabled only if this value is set
  • IMAPLoginFieldName in your LDAP or SQL sources — specify an LDAP attribute or SQL column to retrieve the username for SMTP authentication
  • SOGoForceExternalLoginWithEmail — use the first email address of the user for SMTP authentication

@LaurentM — you seem to have smtpd_sender_login_maps and reject_authenticated_sender_login_mismatch enabled in your Postfix configuration. In SOGo, what is the value of MailFieldNames for your user source?

Related Changesets

sogo: feature/mail-identities 63a80be1

2020-06-08 17:44:49

francis

Details Diff
feat(mail): handle multiple mail identities

Fixes 0000768, fixes 0004602
Affected Issues
0000768, 0004602
mod - SoObjects/Mailer/SOGoMailAccount.h Diff File
mod - SoObjects/Mailer/SOGoMailAccount.m Diff File
mod - SoObjects/SOGo/SOGoUser.m Diff File
mod - SoObjects/SOGo/SOGoUserDefaults.h Diff File
mod - SoObjects/SOGo/SOGoUserDefaults.m Diff File
mod - SoObjects/SOGo/SOGoUserFolder.m Diff File
mod - UI/MailerUI/English.lproj/Localizable.strings Diff File
mod - UI/MailerUI/UIxMailEditor.m Diff File
mod - UI/PreferencesUI/English.lproj/Localizable.strings Diff File
mod - UI/PreferencesUI/UIxJSONPreferences.m Diff File
mod - UI/PreferencesUI/UIxPreferences.m Diff File
mod - UI/PreferencesUI/product.plist Diff File
mod - UI/Templates/MailerUI/UIxMailEditor.wox Diff File
mod - UI/Templates/PreferencesUI/UIxAccountEditor.wox Diff File
mod - UI/WebServerResources/js/Common/sgCkeditor.component.js Diff File
mod - UI/WebServerResources/js/Mailer/Account.service.js Diff File
mod - UI/WebServerResources/js/Mailer/MessageEditorController.js Diff File
mod - UI/WebServerResources/js/Preferences/AccountDialogController.js Diff File
mod - UI/WebServerResources/js/Preferences/PreferencesController.js Diff File
mod - UI/WebServerResources/scss/components/autocomplete/autocomplete.scss Diff File

sogo: feature/mail-identities f8aa338e

2020-06-18 16:53:42

francis

Details Diff
feat(mail): handle multiple mail identities

Fixes 0000768, fixes 0004602
Affected Issues
0000768, 0004602
mod - SoObjects/Mailer/SOGoDraftObject.m Diff File
mod - SoObjects/Mailer/SOGoMailAccount.h Diff File
mod - SoObjects/Mailer/SOGoMailAccount.m Diff File
mod - SoObjects/Mailer/SOGoMailForward.m Diff File
mod - SoObjects/SOGo/SOGoUser.m Diff File
mod - SoObjects/SOGo/SOGoUserDefaults.h Diff File
mod - SoObjects/SOGo/SOGoUserDefaults.m Diff File
mod - SoObjects/SOGo/SOGoUserFolder.m Diff File
mod - UI/MailerUI/English.lproj/Localizable.strings Diff File
mod - UI/MailerUI/UIxMailAccountActions.m Diff File
mod - UI/MailerUI/UIxMailEditor.m Diff File
mod - UI/PreferencesUI/English.lproj/Localizable.strings Diff File
mod - UI/PreferencesUI/UIxJSONPreferences.m Diff File
mod - UI/PreferencesUI/UIxPreferences.m Diff File
mod - UI/PreferencesUI/product.plist Diff File
mod - UI/Templates/MailerUI/UIxMailEditor.wox Diff File
mod - UI/Templates/PreferencesUI/UIxAccountEditor.wox Diff File
mod - UI/WebServerResources/angular-material Diff File
mod - UI/WebServerResources/js/Common/sgCkeditor.component.js Diff File
mod - UI/WebServerResources/js/Mailer/Account.service.js Diff File
mod - UI/WebServerResources/js/Mailer/MessageEditorController.js Diff File
mod - UI/WebServerResources/js/Preferences/AccountDialogController.js Diff File
mod - UI/WebServerResources/js/Preferences/PreferencesController.js Diff File
mod - UI/WebServerResources/scss/components/autocomplete/autocomplete.scss Diff File

sogo: master 79722576

2020-06-25 12:12:33

francis

Details Diff
feat(mail): handle multiple mail identities

Fixes 0000768, fixes 0004602, fixes 0005062
Affected Issues
0000768, 0004602, 0005062
mod - UI/WebServerResources/js/Preferences/PreferencesController.js Diff File

sogo: master 11bbdee1

2020-06-26 15:23:10

francis

Details Diff
feat(mail): handle multiple mail identities

If no custom identity exists, initialize the mail identities of the user
with all the user's email addresses (extracted from MailFieldNames).

For this code path to be executed, the user must not have any of the
following defaults keys:

SOGoMailIdentities
SOGoMailCustomFullName
SOGoMailCustomEmail
SOGoMailReplyTo
SOGoMailSignature

Fixes 0000768, fixes 0004602
Affected Issues
0000768, 0004602
mod - SoObjects/SOGo/SOGoUser.m Diff File

sogo: master 208ee089

2020-07-10 17:01:26

francis

Details Diff
feat(mail): handle multiple mail identities

Create read-only identities for email addresses for which no identity has been defined. This way, when visiting the message editor, the user will have access to all of her known email addresses.

Fixes 0000768, fixes 0004602
Affected Issues
0000768, 0004602
mod - SoObjects/SOGo/SOGoUser.m Diff File

sogo: master b4f76a79

2020-07-10 17:07:01

francis

Details Diff
feat(mail): handle multiple mail identities

Fixes 0000768, fixes 0004602
Affected Issues
0000768, 0004602
mod - UI/Templates/MailerUI/UIxMailEditor.wox Diff File
mod - UI/Templates/PreferencesUI/UIxAccountEditor.wox Diff File
mod - UI/WebServerResources/js/Mailer/Account.service.js Diff File

Issue History

Date Modified Username Field Change
2010-08-23 09:28 alessio New Issue
2011-03-11 06:54 alessio Note Added: 0002249
2012-04-10 08:40 Christian Mack Relationship added has duplicate 0001756
2013-05-14 03:51 thierry Note Added: 0005589
2013-10-17 12:50 pvdv Note Added: 0006114
2013-11-06 05:11 alessio Note Added: 0006203
2013-11-14 00:33 davrom Note Added: 0006227
2013-12-11 03:40 djordjije Note Added: 0006351
2014-03-06 06:47 alessio Note Added: 0006650
2014-08-22 17:18 abu Note Added: 0007426
2015-01-08 09:12 francis Target Version => 3.0.0
2015-01-08 09:29 alessio Note Added: 0008022
2015-06-17 09:57 infrasysteme Note Added: 0008651
2015-07-22 14:10 ludovic Relationship added has duplicate 0003251
2015-07-23 09:50 ludovic Relationship added has duplicate 0003216
2015-12-06 10:28 stf Note Added: 0009188
2016-05-02 05:41 infrasysteme Note Added: 0010040
2016-06-09 10:57 stf Note Added: 0010339
2016-06-13 11:03 RichiH Note Added: 0010352
2017-03-31 04:55 infrasysteme Note Added: 0011640
2017-08-31 17:02 buzzdee Note Added: 0012245
2017-09-14 04:26 fsoyer Note Added: 0012289
2017-09-14 04:53 fsoyer Note Edited: 0012289 View Revisions
2017-09-14 05:17 fsoyer Note Edited: 0012289 View Revisions
2018-01-23 03:35 infrasysteme Note Added: 0012532
2018-06-21 01:19 Joan Note Added: 0012921
2019-03-15 09:22 fsoyer Note Added: 0013450
2019-03-15 16:11 ludovic Note Added: 0013458
2019-03-25 08:29 Hubert666 Note Added: 0013493
2019-04-09 09:40 bisdule Note Added: 0013536
2019-04-09 10:45 jeouz Note Added: 0013538
2019-05-13 19:57 davrom Note Added: 0013569
2019-05-13 22:26 davrom Note Added: 0013570
2019-05-14 02:56 schmirl Note Added: 0013571
2019-05-15 01:38 kc85 Note Added: 0013572
2019-05-27 05:52 Vincent Note Added: 0013579
2019-05-27 05:53 Vincent Note Edited: 0013579 View Revisions
2019-05-27 05:54 Vincent Note Edited: 0013579 View Revisions
2020-06-08 17:49 francis Changeset attached => sogo feature/mail-identities 63a80be1
2020-06-08 17:49 francis Assigned To => francis
2020-06-08 17:49 francis Resolution open => fixed
2020-06-18 16:59 francis Changeset attached => sogo feature/mail-identities f8aa338e
2020-06-25 12:37 francis Changeset attached => sogo master 79722576
2020-06-26 15:28 francis Changeset attached => sogo master 11bbdee1
2020-07-10 17:07 francis Changeset attached => sogo master 208ee089
2020-07-10 17:07 francis Changeset attached => sogo master b4f76a79
2021-01-12 07:53 fsoyer Note Added: 0015027
2021-01-12 09:13 fsoyer Note Added: 0015028
2021-01-12 09:31 francis Note Added: 0015029
2021-01-12 10:18 fsoyer Note Added: 0015032
2021-01-12 10:33 francis Note Added: 0015033
2021-01-12 10:40 fsoyer Note Added: 0015034
2021-01-12 10:47 fsoyer Note Added: 0015035
2021-01-12 10:47 francis Note Added: 0015036
2021-01-12 10:50 fsoyer Note Added: 0015037
2021-01-12 10:56 francis Note Added: 0015038
2021-01-12 11:05 fsoyer Note Added: 0015039
2021-01-14 04:33 fsoyer Note Added: 0015041
2021-01-14 04:33 fsoyer File Added: settings2.txt
2021-01-14 04:33 fsoyer File Added: settings1.txt
2021-01-14 04:33 fsoyer File Added: profile1.png
2021-01-14 04:33 fsoyer File Added: profile2.png
2021-01-20 12:31 fsoyer Note Added: 0015052
2021-01-27 04:20 LaurentM Note Added: 0015063
2021-01-27 09:43 francis Note Added: 0015064
2021-01-27 10:58 LaurentM Note Added: 0015065
2021-05-13 16:20 francis Note Added: 0015261